body {
    overflow: hidden;
}

#overlay {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    transition: 1s;
    user-select: none;
    z-index: 20;
}

#overlay h1 {
    font-weight: 400;
    font-size: 3rem;
    margin-bottom: 0;
}
#overlay p {
    font-weight: 400;
    font-size: 1.2rem;
}

.overlay-contents {
    position: absolute;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.overlay-bg {
    background: linear-gradient(to top, rgba(255, 255, 255, 1) 95%, rgba(255, 255, 255, 0));
    padding-top: 20px;
    padding-bottom: 20px;
    position: relative;
    z-index: 21;
}

#sun {
    cursor: pointer;
    margin-bottom: -128px;
    animation: rotate 10s linear infinite;
    transition: .2s;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-drag: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -webkit-tap-highlight-color: transparent;
}

#sun.hide {
    cursor: unset;
    pointer-events: none;
    animation: rotate 0.5s linear infinite;
    margin-bottom: 0;
}

#sun:hover {
    scale: 1.1;
}
#sun:active {
    scale: 0.9;
}

@keyframes rotate {
    from {
        rotate: 0deg;
    }
    to {
        rotate: 360deg;
    }
}